From 245e4ee796776e6f6db10abac06099a540dcb51d Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Wed, 3 Jun 2015 15:30:22 -0400
Subject: [PATCH] src/interp/vmlisp.lisp remove lispelt

Goal: Remove MACLISP, move toward Common Lisp
---
 books/bookvol5.pamphlet         |    2 +-
 books/bookvol9.pamphlet         |    2 +-
 src/interp/vmlisp.lisp.pamphlet |    2 --
 3 files changed, 2 insertions(+), 4 deletions(-)

diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 4137a26..5063bb2 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -55739,7 +55739,7 @@ This is a list with the fields
 \begin{chunk}{defun htMarkTree}
 (defun |htMarkTree| (tree n)
   (SEQ (progn
-         (rplacd (LASTTAIL tree) n)
+         (rplacd (last tree) n)
          (SEQ (DO ((G167706 tree (cdr G167706)) (branch nil))
                   ((OR (ATOM G167706)
                        (progn (setq branch (car G167706)) nil))
diff --git a/books/bookvol9.pamphlet b/books/bookvol9.pamphlet
index 1d663cb..98cde6b 100644
--- a/books/bookvol9.pamphlet
+++ b/books/bookvol9.pamphlet
@@ -10172,7 +10172,7 @@ optPackageCall.
      (setq argl (nreverse argl))
      (cond
       ((and (consp fun) 
-            (or (eq (qfirst fun) 'elt) (eq (qfirst fun) 'lispelt))
+            (eq (qfirst fun) 'elt)
             (progn
               (and (consp (qrest fun))
                    (progn
diff --git a/src/interp/vmlisp.lisp.pamphlet b/src/interp/vmlisp.lisp.pamphlet
index 4713d0e..9e62593 100644
--- a/src/interp/vmlisp.lisp.pamphlet
+++ b/src/interp/vmlisp.lisp.pamphlet
@@ -3248,8 +3248,6 @@ LP  (COND ((NULL X)
  
 (DEFUN LASTATOM (L) (if (ATOM L) L (LASTATOM (CDR L))))
  
-(define-function 'LISPELT #'ELT)
- 
 (DEFUN TAKE (N X &aux m)
   "Returns a list of the first N elements of list X."
   (COND ((EQL N 0) NIL)
-- 
1.7.5.4

